CVE-2019-19648

NameCVE-2019-19648
DescriptionIn the macho_parse_file functionality in macho/macho.c of YARA 3.11.0, command_size may be inconsistent with the real size. A specially crafted MachO file can cause an out-of-bounds memory access, resulting in Denial of Service (application crash) or potential code execution.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
yara (PTS)jessie3.1.0-2+deb8u1vulnerable
stretch3.5.0+dfsg-9vulnerable
buster3.9.0-1vulnerable
bullseye, sid3.11.0-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
yarasource(unstable)(unfixed)

Notes

[buster] - yara <no-dsa> (Minor issue)
[stretch] - yara <no-dsa> (Minor issue)
[jessie] - yara <no-dsa> (Minor issue)
https://github.com/VirusTotal/yara/issues/1178

Search for package or bug name: Reporting problems